import Config

# [warn] Conditional IPv6 support missing from runtime configuration.
#
# Add the following to your config/runtime.exs:
#
#     maybe_ipv6 = if System.get_env("ECTO_IPV6") in ~w(true 1), do: [:inet6], else: []
#
#     config :wabanex, Wabanex.Repo,
#       ...,
#       socket_options: maybe_ipv6
#
# [warn] Conditional server startup is missing from runtime configuration.
#
# Add the following to the top of your config/runtime.exs:
#
#     if System.get_env("PHX_SERVER") do
#       config :wabanex, WabanexWeb.Endpoint, server: true
#     end
#
# [warn] Environment based URL export is missing from runtime configuration.
#
# Add the following to your config/runtime.exs:
#
#     host = System.get_env("PHX_HOST") || "example.com"
#
#     config :wabanex, WabanexWeb.Endpoint,
#       ...,
#       url: [host: host, port: 443]

config :wabanex, dns_cluster_query: System.get_env("DNS_CLUSTER_QUERY") || :ignore

config :wabanex, Wabanex.Repo,
  username: System.get_env("POSTGRES_USER") || "postgres",
  password: System.get_env("POSTGRES_PASS") || "postgres",
  hostname: System.get_env("POSTGRES_HOST") || "localhost"
